package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 安灯任务附属表
 * @Reference :
 * @Author : crish
 * @CreateDate : 2019-09-27 19:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="ANDON_MANAGE_ATTACH")
@Api(value="安灯任务附属信息")
public class AndonQueueAttach extends BaseBean {

    @Column(name="PROD_INFO")
    @ApiParam(value ="产品信息" , example ="-1")
    private String prodInfo;

    @Column(name="LINE_INFO")
    @ApiParam(value ="产线信息")
    private String lineInfo;

    @Column(name="ANDON_ORDER_NO")
    @ApiParam(value ="安灯任务编号")
    private String andonOrderNo;

    @Column(name="STATUS_CODE")
    @ApiParam(value ="安灯状态")
    private String statusCode;
}
