package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.common.BaseCode;
import cn.estsh.i3plus.pojo.aps.enums.RESOURCE_CLASS;
import cn.estsh.i3plus.pojo.aps.enums.RESOURCE_TYPE;
import cn.estsh.i3plus.pojo.aps.enums.TIME_ROUND_TYPE;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :资源
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@Entity
@Table(name = "APS_RESOURCE")
@Api("资源")
public class Resource extends BaseCode {
    @Column(name="BOTTLENECK")
    @ApiParam(value ="是否瓶颈资源")
    private Boolean bottleneck;

    @Column(name="TYPE")
    @ApiParam(value ="资源类型")
    private RESOURCE_TYPE type;

    @Column(name="RES_CLASS")
    @ApiParam(value ="资源区分")
    private RESOURCE_CLASS resClass;

    @Column(name="EFFICIENCY")
    @ApiParam(value ="生产效率")
    private Double efficiency;

    @Column(name="PREV_BUFFER")
    @ApiParam(value ="前缓冲时间")
    private String prevBuffer;

    @Column(name="POST_BUFFER")
    @ApiParam(value ="后缓冲时间")
    private String postBuffer;

    @Column(name="MAX_MANUF_BATCH")
    @ApiParam(value ="最大生产批量")
    private Double maxManufBatch;

    @Column(name="MANUF_ADJ_UNIT_TM")
    @ApiParam(value ="生产时间尾数调整")
    private String manufAdjUnitTm;

    @Column(name="MANUF_ADJ_UNIT")
    @ApiParam(value ="生产时刻尾数调整")
    private String manufAdjUnit;

    @Column(name="MAX_PREV_SD_TIME")
    @ApiParam(value ="最大前设置中断时间")
    private String maxPrevSdTime;

    @Column(name="MAX_MANUF_SD_TIME")
    @ApiParam(value ="最大生产中断时间")
    private String maxManufSdTime;

    @Column(name="MAX_POST_SD_TIME")
    @ApiParam(value ="最大后设置中断时间")
    private String maxPostSdTime;

    @Column(name="ROUND_TYPE")
    @ApiParam(value ="时间圆整类型")
    private TIME_ROUND_TYPE roundType;

    @Column(name="MANUF_EFFECT")
    @ApiParam(value ="生产效率影响")
    private Integer manufEffect;

    @Column(name="TIME_ROUND")
    @ApiParam(value ="时间圆整影响")
    private Integer timeRound;

    @Column(name="TIME_TAIL_ROUND")
    @ApiParam(value ="时间尾数影响")
    private Integer timeTailRound;

}
