package cn.estsh.i3plus.pojo.mes.pcn.model;

import cn.estsh.i3plus.pojo.mes.pcn.bean.MesPart;
import cn.estsh.i3plus.pojo.mes.pcn.bean.MesQueueOrder;
import cn.estsh.i3plus.pojo.mes.pcn.bean.MesWorkOrder;

import java.util.List;

/**
 * @Description: 生产计划，生产队列，生产工单的复杂请求数据结构的统一请求模型
 * @Reference:
 * @Author: Crish
 * @CreateDate:2019-04-29-11:58
 * @Modify:
 **/
public class RequestModel {

    private List<MesWorkOrder> workOrderList; // 工单数据集

    private List<MesPart> partList; // 物料数据集

    private List<MesQueueOrder> queueOrderList; // 生产队列数据集

    private Double currentSeq; // 生产队列中的当前序列号

    private Double nextSeq; // 生产队列中的下一个序列号

    private Integer srcStatus; // 源状态

    private Integer destStatus; // 目的状态

    public RequestModel(List<MesQueueOrder> queueOrderList, Double currentSeq, Double nextSeq) {
        this.queueOrderList = queueOrderList;
        this.currentSeq = currentSeq;
        this.nextSeq = nextSeq;
    }

    public RequestModel(List<MesQueueOrder> queueOrderList, Integer srcStatus, Integer destStatus) {
        this.queueOrderList = queueOrderList;
        this.srcStatus = srcStatus;
        this.destStatus = destStatus;
    }

    public RequestModel(List<MesWorkOrder> workOrderList, List<MesPart> partList) {
        this.workOrderList = workOrderList;
        this.partList = partList;
    }

    public List<MesWorkOrder> getWorkOrderList() {
        return workOrderList;
    }

    public RequestModel() {
    }

    public void setWorkOrderList(List<MesWorkOrder> workOrderList) {
        this.workOrderList = workOrderList;
    }

    public List<MesPart> getPartList() {
        return partList;
    }

    public void setPartList(List<MesPart> partList) {
        this.partList = partList;
    }

    public List<MesQueueOrder> getQueueOrderList() {
        return queueOrderList;
    }

    public void setQueueOrderList(List<MesQueueOrder> queueOrderList) {
        this.queueOrderList = queueOrderList;
    }

    public Double getCurrentSeq() {
        return currentSeq == null ? 0.0d : currentSeq;
    }

    public void setCurrentSeq(Double currentSeq) {
        this.currentSeq = currentSeq;
    }

    public Double getNextSeq() {
        return nextSeq == null ? 0.0d : nextSeq;
    }

    public void setNextSeq(Double nextSeq) {
        this.nextSeq = nextSeq;
    }

    public Integer getSrcStatus() {
        return srcStatus == null ? 0 : srcStatus;
    }

    public void setSrcStatus(Integer srcStatus) {
        this.srcStatus = srcStatus;
    }

    public Integer getDestStatus() {
        return destStatus == null ? 0 : destStatus;
    }

    public void setDestStatus(Integer destStatus) {
        this.destStatus = destStatus;
    }
}
