package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :mes按钮状态配置表
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-09-19
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="MES_BUTTON_STATUS")
@Api("按钮状态配置表")
public class MesButtonStatus extends BaseBean {

    @Column(name="BUTTON_CODE")
    @ApiParam("按钮代码")
    private String buttonCode;

    @Column(name="CLASS_NAME")
    @ApiParam("实体类名称")
    private String ClassName;

    @Column(name="STATUS_FIELD")
    @ApiParam("状态字段")
    private String statusField;

    @Column(name="JUDGE_FLAG")
    @ApiParam("判断符合")
    private String judgeFlag;

    @Column(name="STATUS_VALUE")
    @ApiParam("状态值")
    private String statusValue;

    @Column(name="LOGIC_FLAG")
    @ApiParam("逻辑符合")
    private String logicFlag;

    @Column(name="STATUS_DESC")
    @ApiParam("描述")
    private String statusDesc;

}
