package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :mes客户表
 * @Reference :
 * @Author : yiming.gu
 * @CreateDate : 2019-05-20
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="MES_CUSTOMER_PART")
@Api("客户零件关系")
public class MesCustomerPart extends BaseBean {
    @Column(name="CUSTOMER_CODE")
    @ApiParam("客户代码")
    private String customerCode;

    @Column(name="PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name="CUSTOMER_PART_NO")
    @ApiParam("客户零件号")
    private String customerPartNo;

}
