package cn.estsh.i3plus.pojo.model.form;

import cn.estsh.i3plus.pojo.form.bean.*;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : 表单模型
 * <per>
 *     表单功能                                 <br/>
 *          布局      功能明细                    <br/>
 *                      自定义按钮                   <br/>
 *                          元素                  <br/>
 *                              元素按钮            <br/>
 * </per>
 * @Reference :
 * @Author : Adair Peng
 * @CreateDate : 2019-04-17 10:35
 * @Modify:
 **/
@Data
public class FormModel {

    // 表单功能
    @ApiParam(value = "表单功能")
    private BfMethod method;

    // 布局
    @ApiParam(value = "功能布局")
    private BfLayout layout;

    // 表单功能按钮
    @ApiParam(value = "表单功能按钮")
    private List<BfButton> formButtonList;

    // 表单功能明细按钮
    @ApiParam(value = "表单功能明细按钮")
    private List<BfButton> methodDetailButtonList;

    // 元素功能按钮
    @ApiParam(value = "元素功能按钮")
    private List<BfButton> elementButtonList;

    // 功能明细
    @ApiParam(value = "功能明细")
    private List<BfMethodDetail> methodDetailList;

    // 元素
    @ApiParam(value = "元素Model")
    private List<ElementModel> elementModelList;

    @ApiParam(value = "表单功能明细关联属性")
    private List<BfMethodDetailProperty> methodDetailPropertyRefList;
}
