package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 企业配置信息
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:42.664
 * @Modify      :
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_ENTERPRISE_CONFIG")
@Api(value="企业配置信息",description = "企业配置信息")
public class SysEnterpriseConfig extends BaseBean {

    private static final long serialVersionUID = -6131429295344210675L;
    @Column(name="ENTERPRISE_ID")
    @ApiParam(value ="企业id" , example = "0")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long enterpriseId;
 
    @Column(name="ENTERPRISE_CONFIG_NAME")
    @ApiParam(value ="配置名称" , access ="配置名称")
    private String enterpriseConfigName;
 
    @Column(name="CONFIG_TYPE")
    @ApiParam(value ="配置类型" , example ="0" , access ="配置类型")
    private Integer configType;
 
    @Column(name="CONFIG_PARENT_ID")
    @ApiParam(value ="配置父节点" , access ="配置父节点")
    private Long configParentId;
 
    @Column(name="CONFIG_KEY")
    @ApiParam(value ="配置代码" , access ="配置代码")
    private String configKey;
 
    @Column(name="CONFIG_VALUE")
    @ApiParam(value ="配置值" , access ="配置值")
    private String configValue;
 
    @Column(name="CONFIG_DESCRIPTION")
    @ApiParam(value ="配置说明" , access ="配置说明")
    private String configDescription;

}
