package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 系统语言匹配表
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-11 11:02
 * @Modify:
 **/
@Data
@Entity
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_LOCALE_LANGUAGE")
@Api(value="系统语言表",description = "对系统语言进行匹配。")
public class SysLocaleLanguage extends BaseBean {

    private static final long serialVersionUID = -1904007575555304772L;
    @Column(name="LANGUAGE_NAME")
    @ApiParam(value = "语言名称",example = "前台显示的名称")
    private String languageName;

    @Column(name="LANGUAGE_CODE")
    @ApiParam(value = "语言代码",example = "使用浏览器语言代码，参考java.util.Locale中的代码。CN/zh，TW/zh，HK/zh，US/en, FR/en,GB/en,JP/en,DE/en,KR/en")
    private String languageCode;

    @Column(name="LANGUAGE_SORT")
    @ApiParam(value ="排序" , example ="1")
    private Integer languageSort;

    @Column(name="IS_DEFAULT")
    @ApiParam(value = "是否默认",example = "2")
    private Integer isDefault;

    @Column(name = "LANGUAGE_STATUS")
    @ApiParam(value = "语言状态",example = "1")
    private Integer languageStatus;
}
