package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :   MQ 适配套件
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 2019/9/9 上午11:09
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SUIT_CASE_MQ")
@Api(value = "MQ", description = "MQ 适配套件")
public class BsSuitCaseMq extends BaseBean {

    @Column(name = "SUIT_CASE_ID")
    @ApiParam(value = "套件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long suitCaseId;

    @Column(name = "USER_LOGIN_NAME")
    @ApiParam(value = "登录名称")
    private String userLoginName;

    @Column(name = "USER_LOGIN_PWD")
    @ApiParam(value = "登录密码")
    private String userLoginPwd;

    @Column(name = "VIRTUAL_HOST")
    @ApiParam(value = "虚拟 Host")
    private String virtualHost;

    @Column(name = "QUEUE_NAME")
    @ApiParam(value = "队列名称")
    private String queueName;

}
