package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :   WebService 适配套件
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 2019/9/9 上午11:09
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SUIT_CASE_WEB_SERVICE")
@Api(value = "WebService", description = "WebService 适配套件")
public class BsSuitCaseWebService extends BaseBean {

    @Column(name = "SUIT_CASE_ID")
    @ApiParam(value = "套件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long suitCaseId;

    @Column(name = "SERVICE_TAG_NAME")
    @ApiParam(value = "Service Tag Name(包名称)")
    private String serviceTagName;

    @Column(name = "SERVICE_FUNCTION_NAME")
    @ApiParam(value = "Service Function Name(方法名称)")
    private String serviceFunctionName;

}
