package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 作业步骤处理组件
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2018-11-22 16:53
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_ACTION_MODULE")
@Api("作业步骤处理组件")
public class WmsActionModule extends BaseBean {

    private static final long serialVersionUID = 9117362998863937579L;
    @Column(name = "AM_NAME")
    @ApiParam("组件名称")
    public String amName;

    @Column(name = "AM_DESC")
    @ApiParam("组件描述")
    public String amDesc;

    @Column(name = "CALL_CLASS")
    @ApiParam("实现类")
    public String callClass;

    @Column(name = "AM_TYPE")
    @ApiParam(value = "组件类型", example = "0")
    public Integer amType;

    @Column(name = "OP_TYPE_CODE")
    @ApiParam(value = "作业类型")
    public String opTypeCode;

    @Column(name = "IS_SHOW_INFO")
    @ApiParam(value = "是否实现回显", example = "0")
    public Integer isShowInfo;
}
