package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description : 客户零件关系表
 * @Reference :
 * @Author : amy
 * @CreateDate : 2019-06-11 14:50
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_CUSTOMER_PART")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="客户零件关系表",description = "客户零件关系表")
public class WmsCustomerPart extends BaseBean {

    private static final long serialVersionUID = 3903166651913139058L;
    @Column(name = "CUSTOMER_CODE")
    @ApiParam(value = "客户代码")
    private String customerCode;

    @Column(name = "PART_NO")
    @ApiParam(value = "物料号")
    private String partNo;

    @Column(name = "CUSTOMER_PART_NO")
    @ApiParam(value = "客户零件号")
    private String customerPartNo;

    @Transient
    @ApiParam(value = "客户全称")
    private String custDesc;

    @Transient
    @ApiParam(value ="物料名称")
    private String partName;
}
