package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 物理包装信息
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_PACKAGE")
@Api("物理包装信息")
public class WmsPackage extends BaseBean {

    private static final long serialVersionUID = -8009404275658985601L;
    @Column(name="PACKAGE_NO")
    @ApiParam("包装编号")
    public String packageNo;

    @Column(name="PACKAGE_TYPE_ID")
    @ApiParam(value = "包装类型", example = "1")
    public Integer packTypeId;

    @Column(name="PARENT_PACKAGE_NO")
    @ApiParam("上级包装编号")
    public String parentPackageNo;

    @Column(name="PACKAGE_QTY")
    @ApiParam(value = "包装件数", example = "1")
    public Integer packageQty;
}
