package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 待打印队列表
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2019-09-27 14:21
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_PRINTING_QUEUE")
@Api("待打印队列表")
public class WmsPrintingQueue extends BaseBean{

    private static final long serialVersionUID = 1111639813072592779L;
    @Column(name="PRINT_IDENTIFICATION")
    @ApiParam("打印标识")
    private String printIdentification;

    @Column(name="PRINT_TYPE")
    @ApiParam("打印类型")
    private Integer printType;

    @Column(name="PRINT_NO")
    @ApiParam("打印机编号")
    private String printNo;

    @Column(name="PRINT_MUMBER")
    @ApiParam("打印机张数")
    private Integer printNumber;

    @Column(name="TEMPLATE_NO")
    @ApiParam("模板编号")
    private String templateNo;

    @Column(name="PRINT_STATUS")
    @ApiParam("打印状态")
    private Integer printStatus;
}