package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description 生产版本
 * @Reference
 * @Author dragon
 * @CreateDate 2019/6/19 21:23
 * @Modify
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_PRODUCT_VERSION")
@Api("生产版本")
public class WmsProductVersion extends BaseBean {

    private static final long serialVersionUID = -1708833666516164791L;
    @Column(name = "ERP_WORK_CENTER")
    @ApiParam("ERP工作中心")
    private String erpWorkCenter;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PV_CODE")
    @ApiParam("生产版本")
    private String pvCode;

    @Column(name = "PV_NAME")
    @ApiParam("生产版本描述")
    private String pvName;

    @Column(name = "BOM_NUM")
    @ApiParam(value = "BOM编号")
    private String bomNum;

}
