package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :物流路线分配实体
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2018-11-08 17:54
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_ROUTING_ASSIGN")
@Api("物流路线分配表")
public class WmsRoutingAssign extends BaseBean {

    private static final long serialVersionUID = -1503043687498339115L;
    @Column(name = "WH_NO")
    @ApiParam(value = "仓库代码")
    private String whNo;

    @Column(name = "ZONE_NO")
    @ApiParam(value = "存储区编号")
    private String zoneNo;

    @Column(name = "LOCATE_NO")
    @ApiParam(value = "库位编号")
    private String locateNo;

    @Column(name = "PART_NO")
    @ApiParam(value = "物料编码")
    private String partNo;

    @Column(name = "VENDOR_NO")
    @ApiParam(value = "供应商编码")
    private String vendorNo;

    @Column(name = "ROUTING_CODE")
    @ApiParam(value = "路线编码")
    private String routingCode;
}
