package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :物流路线明细表实体
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2018-11-08 17:54
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_ROUTING_DETAIL")
@Api("物流路线明细表")
public class WmsRoutingDetail extends BaseBean {
    private static final long serialVersionUID = -7554592685484684522L;
    @Column(name = "ROUTING_CODE")
    @ApiParam(value = "路线编码")
    private String routingCode;

    @Column(name = "OP_STEP")
    @ApiParam(value = "作业步骤")
    private String opStep;

    @Column(name = "OK_SEQ")
    @ApiParam(value = "成功跳转序号", example = "1")
    private Integer okSeq;

    @Column(name = "NG_SEQ")
    @ApiParam(value = "失败跳转序号", example = "1")
    private Integer ngSeq;

    @Column(name = "SEQ")
    @ApiParam(value = "序号", example = "1")
    private Integer seq;

    @Column(name = "PARENT_SEQ")
    @ApiParam(value = "上级步骤序号", example = "1")
    private Integer parentSeq;

}
