package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description SAP_单据锁定表
 * @Reference
 * @Author dragon
 * @CreateDate 2019/6/29 18:04
 * @Modify
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "SAP_ORDER_LOCK")
@Api("SAP_单据锁定")
public class WmsSapOrderLock extends BaseBean {

    private static final long serialVersionUID = -2469224478566017898L;
    @Column(name = "ORDER_NO")
    @ApiParam("订单号")
    public String orderNo;

    @Column(name = "BUSI_TYPE")
    @ApiParam("业务类型")
    public String busiType;

    @Column(name = "ITEM")
    @ApiParam("行号")
    public String item;

    @Column(name = "LOCK_FLAG")
    @ApiParam("锁定标识")
    public String lockFlag;

    @Column(name = "IS_SYNC")
    @ApiParam("同步标识")
    public Integer isSync = 2;

}
