package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :工作中心
 * @Reference :
 * @Author : amy
 * @CreateDate : 2019-06-11 14:56
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_WORK_CENTER")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="工作中心",description = "工作中心")
public class WmsWorkCenter extends BaseBean {

    private static final long serialVersionUID = 415180808859365167L;
    @Column(name = "WORK_CENTER_CODE")
    @ApiParam(value = "工作中心代码")
    private String workCenterCode;

    @Column(name = "WORK_CENTER_NAME")
    @ApiParam(value = "工作中心名称")
    private String workCenterName;

    @Column(name = "ERP_WORK_CENTER")
    @ApiParam(value = "ERP_工作中心")
    private String erpWorkCenter;

    @Column(name = "WORK_VER")
    @ApiParam(value = "生产版本")
    private String workVer;

    @Column(name = "SRC_ZONE_NO")
    @ApiParam(value = "原料扣减库区")
    private String srcZoneNo;

    @Column(name = "DESC_ZONE_NO")
    @ApiParam(value = "成品库区")
    private String descZoneNo;

    @Column(name = "DESC_LOCATION_CODE")
    @ApiParam(value = "成品库位")
    private String descLocationCode;

}
