package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description : 工作中心线边库区关系
 * @Reference :
 * @Author : amy
 * @CreateDate : 2019-06-11 15:01
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_WORK_CENTER_ZONE")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="工作中心线边库区关系",description = "工作中心线边库区关系")
public class WmsWorkCenterZone extends BaseBean {

    private static final long serialVersionUID = 950689993212839817L;
    @Column(name = "WORK_CENTER_CODE")
    @ApiParam(value = "工作中心代码")
    private String workCenterCode;

    @Column(name = "ZONE_NO")
    @ApiParam(value = "线边库区")
    private String zoneNo;

    @Transient
    @ApiParam("工作中心名称")
    private String workCenterName;

    @Transient
    @ApiParam("线边库区名称")
    private String zoneName;
}
