package cn.estsh.i3plus.pojo.wms.dbinterface;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * WMS - SAP 字段映射关系
 * 暂时不考虑字段的类型
 *
 * @author Rock.Yu
 * @since 2019-06-09 21:06
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MappingItem {
    /**
     * 来源字段名称
     */
    public String srcName;
    /**
     * 目标对象的名称
     */
    public String destBeanName;
    /**
     * 目标对象的属性名称
     */
    public String destName;
    /**
     * 该字段在目标表是不是主键
     * 1=主键
     */
    public Integer destPk;
    /**
     * 目标字段的默认值，通过此默认值识别字段类型，一定要配置正确
     * 可以使用的表达式： #date, #time, #guid, #Q.warehouse(#zone)
     */
    public Object defaultValue;

    @Override
    public String toString() {
        return "srcName:"
                + this.srcName + ", destBeanName:"
                + this.destBeanName + ", destName"
                + this.destName + ", defaultValue:"
                + this.defaultValue + ", destPk:"
                + this.destPk;
    }
}
