package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.time.LocalTime;

/**
 * @Description : 供应商收货看板信息
 * @Reference :
 * @Author : sky.meng
 * @CreateDate : 2019-06-24 15:04
 * @Modify:
 **/
@Data
@Api("供应商收货看板")
public class WmsPoAsnRecvModel extends BaseBean implements Comparable<WmsPoAsnRecvModel>{

    @ApiParam("订单号")
    private String orderNo;
    @ApiParam("供应商名称")
    private String vendorName;
    @ApiParam("收货通道")
    private String dock;
    @ApiParam("项目代码")
    private String prodCfgTypeCode;
    @ApiParam("项目名称")
    private String prodCfgTypeName;
    @ApiParam("计划收货日期")
    private String planDate;
    @ApiParam("计划收货时间")
    private String planTime;
    @ApiParam("总数量")
    private Double qty;
    @ApiParam("已收货数量")
    private Double recQty;
    @ApiParam("最早收货时间")
    private String earliestReceTime;
    @ApiParam("最晚收货时间")
    private String latestReceTime;
    @ApiParam("供应商号码")
    private String vendorNo;
    @ApiParam("物料")
    private String partNo;
    @ApiParam("收货状态")
    private String receiveStatus;

    public WmsPoAsnRecvModel(String orderNo,String dock,String vendorNo,String prodCfgTypeCode, String prodCfgTypeName,String planDate,String planTime,Double qty,Double recQty){
        this.orderNo = orderNo;
        this.dock = dock;
        this.planDate = planDate;
        this.planTime = planTime;
        this.qty = qty;
        this.recQty = recQty;
        this.prodCfgTypeCode = prodCfgTypeCode;
        this.prodCfgTypeName = prodCfgTypeName;
        this.vendorNo = vendorNo;

    }
    public WmsPoAsnRecvModel(String orderNo,String dock,String planDate,String planTime){
        this.orderNo = orderNo;
        this.dock = dock;
        this.planDate = planDate;
        this.planTime = planTime;
    }
    public WmsPoAsnRecvModel(){}

    @Override
    public int compareTo(WmsPoAsnRecvModel o) {
        return getLocalTime(this.getPlanTime()).isAfter(getLocalTime(o.getPlanTime()))? 1 : -1;
    }

    public static LocalTime getLocalTime(String planTime){
        LocalTime time = null;
        try {
            time = LocalTime.parse(planTime);
        }catch (Exception e){
            e.printStackTrace();
        }
        return time;
    }
}
