package cn.estsh.i3plus.pojo.wms.repository;

import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.wms.bean.WmsMoveSn;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description : 库存移动单条码信息
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-11-18 15:24
 * @Modify:
 **/
@Repository
public interface WmsMoveSnRepository extends BaseRepository<WmsMoveSn, Long> {

    /**
     * 根据工厂代码、单据编号、物料编号查询库存移动单条码表
     * @param organizeCode 工厂代码
     * @param orderNo 单据编号
     * @param partNo 物料编号
     * @return 库存移动单条码表
     */
    List<WmsMoveSn> findByOrganizeCodeAndOrderNoAndPartNo(String organizeCode, String orderNo, String partNo);
}
