package cn.estsh.i3plus.pojo.wms.repository;

import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.wms.bean.WmsZones;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @Description :对象持久层仓用方法控制(存储区信息)
 * @Reference :
 * @Author : hansen.ke
 * @CreateDate : 2018-11-06 13:40
 * @Modify:
 **/
@Repository
public interface WmsZonesRepository extends BaseRepository<WmsZones ,Long> {

    /**
     * 根据工厂代码和存储编号查询存储区信息
     * @param organizeCode 工厂代码
     * @param zoneNo 存储区编号
     * @return 存储区信息
     */
    WmsZones getFirstByOrganizeCodeAndZoneNo(String organizeCode, String zoneNo);
}
